.card-details {
    position: relative;
    background-color: #bfd9ff;
    border-radius: 0.4em;
    box-shadow: 1px 2px 2px #bfd9ff;
    color: gray;
    width: 450px;
    max-width: 500px;
    margin: 40px 0;
    padding: 15px;
}

.card-details__card-title {
    color: gray;
    background-color: #0000;
    border: none;
    font-size: larger;
    font-weight: bold;
    overflow: hidden;
    resize: none;
    padding: 10px 5px 5px 10px;
}

.card-details__card-title:focus {
    background-color: white;
    padding: 10px 5px 5px 10px;
}

.card-details__close-btn {
    position: absolute;
    top: 15px;
    right: 15px;
    border-radius: 0.4em;
    box-shadow: 1px 2px 2px gray;
    cursor: pointer;
}

.card-details__close-btn:hover {
    background-color: #fff8c7;
}

.card-details__step-title {
    margin: 5px 0 5px 0;
    text-decoration: underline;
    cursor: pointer;
}

.card-details__owner {
    margin-top: 15px;
}

.card-details__owner:focus {
    background-color: white;
    padding: 10px 5px 5px 10px;
}

.card-details__date {
    size: 0.1em;
    margin-top: 20px;
}

.card-details__date::before {
    content: "🕒";
}

.card-details__date--expired {
    background-color: #ffbaca;
    color: #c83737;
    border-radius: 0.4em;
}

.card-details__date:focus {
    background-color: white;
    padding: 10px 5px 5px 10px;
}

.card-details__data {
    width: 100%;
}

.card-details__description {
    margin-top: 20px;
}

.card-details__description-header {
    font-weight: bold;
}